CMSIS-Core (Cortex-A): ref_timer.txt File Reference

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
ref_timer.txt File Reference

## Data Structures
union | CNTP_CTL_Type
| Physical Timer Control register. More...

## Functions
__STATIC_INLINE void | PL1_SetCounterFrequency (uint32_t value)
| Configures the frequency the timer shall run at. More...
__STATIC_INLINE void | PL1_SetLoadValue (uint32_t value)
| Sets the reset value of the timer. More...
__STATIC_INLINE uint32_t | PL1_GetCurrentValue ()
| Get the current counter value. More...
__STATIC_INLINE uint64_t | PL1_GetCurrentPhysicalValue (void)
| Get the current physical counter value. More...
__STATIC_INLINE void | PL1_SetPhysicalCompareValue (uint64_t value)
| Set the physical compare value. More...
__STATIC_INLINE uint64_t | PL1_GetPhysicalCompareValue (void)
| Get the physical compare value. More...
__STATIC_INLINE void | PL1_SetControl (uint32_t value)
| Configure the timer by setting the control value. More...
__STATIC_INLINE uint32_t | PL1_GetControl ()
| Get the control value. More...